Author Topic: group visible and invisible only  (Read 2119 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 297
group visible and invisible only
« on: April 07, 2008, 11:07:06 PM »
(setq  sd  (ssget  "x"  (list '(0 . "insert") (cons 410 (getvar "ctab")))))  <- all block select
(setq  s2  (ssget  "x"  (list '(0 . "insert") (cons 2 bn)(cons 410 (getvar "ctab")))) <- block name select

with this , i use    block object  visible and invisible
like this  , i  would like to  select  groups 
but there is no group dxf code

friend how  can do that  ?
l

ronjonp

  • Needs a day job
  • Posts: 7529
Re: group visible and invisible only
« Reply #1 on: April 08, 2008, 01:36:22 PM »
Maybe something like this:

Code: [Select]
  (vlax-map-collection
    (vla-get-groups
      (vla-get-ActiveDocument
(vlax-get-Acad-Object)
      )
    )
    '(lambda (x)
       (setq l (cons x l))
     )
  )

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

dussla

  • Bull Frog
  • Posts: 297
Re: group visible and invisible only
« Reply #2 on: April 08, 2008, 11:05:26 PM »
thank you for good answer always~

good day ~ :-) :-) :-) :-) :-)

ronjonp

  • Needs a day job
  • Posts: 7529
Re: group visible and invisible only
« Reply #3 on: April 09, 2008, 10:09:58 AM »
You're welcome :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC